# Options/Wiki HTML

From XOWA: the free, open-source, offline wiki application

Apps (basic) | Apps (advanced) | Wiki | HTML | External apps | Modules | Extensions | Misc

- HTML
- Wiki HTML
- HTML Tidy

Save

## Portal

Talk namespace: [1] |
Show home menu in sidebar (desktop): [2] |
Show home menu in sidebar (server): [2] |

## Content

Content code format: [3] | <pre>~{page_text}</pre>

## Alt text

Alt in caption: [4] |
Alt defaults to caption: [5] |

## Collapsible [6]

Table of contents: [7] |
Collapsible table: [8] |
NavFrame: [9] |

## Notes

1. ^ Controls the appearance of the Talk tab (right of Page tab) (default is `Show as blue link`)
     XOWA shows a Talk tab just like any other MediaWiki wiki
     However, the default wiki dumps (pages-articles) do not have the Talk namespace. In these situations, the Talk tab is non-functional.
     Some users may object to the continual presence of a non-functional tab. As such, the following options have been provided:
   - Hide : Hide the tab if the namespace is missing. This is non-standard MediaWiki behavior, but is not distracting.
   - Show as red link : Show the tab with a red color. This is standard MediaWiki behavior, but some users may find the red link distracting.
   - Show as blue link : Show the tab with a blue color. This is non-standard MediaWiki behavior. It is not distracting but some users may object to the presence of a non-functional link.
2. ^ a b Choose one of the following. (default is `unchecked`) [desktop] (default is `checked`) [server]
   - checked : to show XOWA menu in sidebar (has XOWA Main Page, About, Help, Page History, Bookmarks, Options
   - unchecked : to hide XOWA menu in sidebar
3. ^ Enter a format for pages whose content is entirely source code (default is `<pre>~{page_text}</pre>`) Applicable pages include:
   - MediaWiki:Common.css
   - MediaWiki:*.js
   - Module:*
   The purpose of this option is to control the behavior of the pre when the page has source code with long lines. Example behaviors include:
   - Horizontal scroll bar at bottom of html window: <pre>~{page_text}</pre>
   - Horizontal scroll bar at bottom of pre: <pre style='overflow:auto'>~{page_text}</pre>
   - Word-wrap: <pre style='white-space: pre-wrap; word-wrap: break-word;'>~{page_text}</pre>
   See https://bugzilla.wikimedia.org/show_bug.cgi?id=260 for more context
4. ^ Choose one of the following (default is `checked`)
   - checked : show alt text underneath caption (default. non-standard behavior, but recommended)
   - unchecked : do not show alt text underneath caption (standard behavior)
   EX: http://simple.wikipedia.org/wiki/Saturn_(planet)
5. ^ Choose one of the following (default is `unchecked`)
   - checked : if no alt is specified, caption will be used
   - unchecked : if no alt is specified, a blank will be used (i.e.: alt will be empty)
6. ^ Collapsible settings only apply to the current viewing of the page. This setting is not stored for each page. For example, if you are viewing "Page_A", you set your table of contents (TOC) setting to unchecked (always show), and you click "hide":
   - Click a link -> Press back -> TOC is shown, not hidden
   - Exit XOWA -> Reopen XOWA -> Go to "Page_A" -> TOC is shown, not hidden
   Saving the hide/show setting on a page by page basis will be supported in a future version, but probably not anytime soon.
7. ^ All table of contents have a Show / Hide link. See Diagnostics/Javascript/Table_of_contents
   Choose one of the following (default is `unchecked`)
   - checked : default to show collapsed
   - unchecked : default to show expanded
8. ^ Navigation boxes at the bottom of the article will often have a Collapse / Expand link. See Diagnostics/Javascript/Collapsible or http://en.wikipedia.org/wiki/Quantum_mechanics
   Choose one of the following. (default is `unchecked`)
   - checked : default to show collapsed
   - unchecked : default to show expanded
9. ^ Navigation boxes at the side of the article will sometimes have a Show / Hide link. See Diagnostics/Javascript/NavFrame or http://en.wikipedia.org/wiki/Quantum_mechanics
   Choose one of the following. (default is `unchecked`)
   - checked : default to show collapsed
   - unchecked : default to show expanded

### XOWA

- Main page
- Screenshots
- Video
- Download XOWA
- Download wikis

### Getting started

- Requirements
- Installation
- Simple Wikipedia
- English Wikipedia
- Other Wikipedias

### Android

- Setup
- Video

### Help

- About
- Contents
- Media
- Feedback

### Blog

- Current

### Links

- Wikimedia dumps
- XOWA @ archive.org
- English Wikipedia

### Donate

- archive.org
- Wikipedia